% Pocetni uslovi i osobine pogona pretvaraca povezanog na mrezu
% Bazne velicine:

U_bi=220;
I_bi=11.6;
w_mrz_bi=2*pi*50;
Z_bi=U_bi/I_bi;

%Parametri elektricne mreze:

Rsi=0.2;
Lsi=10e-3;

%Parametri masine [r.j.]:

rsi=Rsi/Z_bi;
xdi=w_mrz_bi*Lsi/Z_bi;
xqi=xdi;
tdi=xdi/w_mrz_bi/rsi;
tqi=xqi/w_mrz_bi/rsi;

% Proracun regulatora mreznog pretvaraca:
Tsi=100e-6;
Tii=Tsi;%0.3e-3;

Kuki=1/rsi;
lambdai=1000;
Kpi_di=Lsi/(2*Z_bi*Tii);
Kii_di=Lsi/(4*Z_bi*Tii);
Kpi_qi=Lsi/(2*Z_bi*Tii);
Kii_qi=Lsi/(4*Z_bi*Tii);

Tdci=3e-3;

Cdci=2e-3;
cdci=Cdci*Z_bi;

Koi=Tdci/2;
Kpdci=0.203/Koi;
Kidci=0.035/Koi;

% Pocetni uslovi napona kondenzatora u DC kolu:
Udc0i=U_bi*sqrt(2);
udc0i=Udc0i/U_bi;
udci=Udc0i/U_bi;
u_gornjei=udci/sqrt(2);